comedi_cancel
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_cancel — stop streaming input/output in progress

## Synopsis

    #include <comedilib.h>

`int comedi_cancel(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_cancel` can be used to stop a command previously started by `comedi_command` which is still in progress on the subdevice indicated by the parameters `device` and `subdevice`.

## Return value

On success, `0` is returned. On failure, `-1` is returned.

Prev | Up | Next
comedi_unlock | Home | comedi_command